Package org.eclipse.birt.report.model.api.util

# Class ColumnBindingUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.ColumnBindingUtil

public class ColumnBindingUtil extends Object
The utility class for bound data columns migration.

## Constructor Summary

Constructors
Constructor
Description
`ColumnBindingUtil()`

## Method Summary

Modifier and Type
Method
Description
`static ComputedColumnHandle`
`addColumnBinding(ReportItemHandle handle, ComputedColumn column)`
Binds a column to the given element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColumnBindingUtil

public ColumnBindingUtil()

## Method Details

### addColumnBinding

public static ComputedColumnHandle addColumnBinding(ReportItemHandle handle, ComputedColumn column) throws SemanticException
Binds a column to the given element. The column must have a name. The method will not generate a name for the binding. An exception will be thrown when trying to bind a column without a name. If the column has been bound, the exist bound column will be returned. If the column doesn't exist but has a duplicated name with exist columns, a new unique name will be assigned.

Parameters:
  `handle` - the handle of the element to bind
  `column` - the column to bind
Returns:
  the handle of the bound column
Throws:
  `SemanticException`